<template>
  <div class="home">
    <p>Salut {{user}}</p>
  </div>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: 'home',
  components: {
  },
  computed: {
    /**
     * On peut utiliser la méthode helper mapState de
     * vuex pour mapper des state du store aux computed
     * du component, ici on aura une computed user qui
     * sera lié directement à state.user du store
     */
    ...mapState([
      'user'
    ])
  }
}
</script>
